import { GetSecurityDetailsRequest, GetSecurityHoldersRequest, GetTotalSecurityHoldersRequest } from "../../request";
import { SecurityViewModel } from "../../response";
import { BaseSecurityInPort } from "../BaseSecurityInPort";
export interface ISecurityInPortInfo {
    getInfo(request: GetSecurityDetailsRequest): Promise<SecurityViewModel>;
    getSecurityHolders(request: GetSecurityHoldersRequest): Promise<string[]>;
    getTotalSecurityHolders(request: GetTotalSecurityHoldersRequest): Promise<number>;
}
export declare class SecurityInPortInfo extends BaseSecurityInPort implements ISecurityInPortInfo {
    getInfo(request: GetSecurityDetailsRequest): Promise<SecurityViewModel>;
    getSecurityHolders(request: GetSecurityHoldersRequest): Promise<string[]>;
    getTotalSecurityHolders(request: GetTotalSecurityHoldersRequest): Promise<number>;
}
